Package org.bukkit

# Interface Keyed

All Known Subinterfaces:
  `Advancement`, `ComplexRecipe`, `KeyedBossBar`, `LootTable`, `Tag<T>`, `World`

All Known Implementing Classes:
  `Art`, `Attribute`, `BaseTag`, `Biome`, `BlastingRecipe`, `CampfireRecipe`, `CookingRecipe`, `Enchantment`, `EnchantmentWrapper`, `EntitySetTag`, `EntityType`, `Fluid`, `FurnaceRecipe`, `GameEvent`, `LootTables`, `Material`, `MaterialSetTag`, `MemoryKey`, `ShapedRecipe`, `ShapelessRecipe`, `SmithingRecipe`, `SmokingRecipe`, `Sound`, `Statistic`, `StonecuttingRecipe`, `Villager.Profession`, `Villager.Type`

public interface Keyed
Represents an object which has a `NamespacedKey` attached to it.

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.

## Method Details

### getKey

@NotNull @NotNull NamespacedKey getKey()
Return the namespaced identifier for this object.

Returns:
  this object's key